## GogSmoothedCurve

GogSmoothedCurve — Base class for smoothed curves

## Synopsis

                        GogSmoothedCurve;
    #define             GOG_SMOOTHED_CURVE_TYPE
    #define             GOG_SMOOTHED_CURVE                  (o)
    #define             IS_GOG_SMOOTHED_CURVE               (o)
    GType               gog_smoothed_curve_get_type         (void);

## Object Hierarchy

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogTrendLine
                         +----GogSmoothedCurve

## Description

## Details

### GogSmoothedCurve

    typedef struct _GogSmoothedCurve GogSmoothedCurve;

### GOG_SMOOTHED_CURVE_TYPE

    #define GOG_SMOOTHED_CURVE_TYPE	(gog_smoothed_curve_get_type ())

### GOG_SMOOTHED_CURVE()

    #define GOG_SMOOTHED_CURVE(o)	(G_TYPE_CHECK_INSTANCE_CAST ((o), GOG_SMOOTHED_CURVE_TYPE, GogSmoothedCurve))

`o` : |

### IS_GOG_SMOOTHED_CURVE()

    #define IS_GOG_SMOOTHED_CURVE(o)	(G_TYPE_CHECK_INSTANCE_TYPE ((o), GOG_SMOOTHED_CURVE_TYPE))

`o` : |

### gog_smoothed_curve_get_type ()

    GType               gog_smoothed_curve_get_type         (void);

Returns : |